import matplotlib.pyplot as plt
from synphot import SourceSpectrum, etau_madau
from synphot.models import ConstFlux1D
# Create a flat source
sp = SourceSpectrum(ConstFlux1D, amplitude=1E-4)
# Apply extinction for a given redshift
z = 2
wave = range(2400, 4200)  # Angstrom
extcurve = etau_madau(wave, z)
sp_ext = sp * extcurve
# Compare the source with and without extinction
plt.plot(wave, sp(wave), 'b--', wave, sp_ext(wave), 'r')
plt.xlabel('Wavelength (Angstrom)')
plt.ylabel('Flux (PHOTLAM)')
plt.legend(['Original', 'Extincted'], loc='lower right')