import matplotlib.pyplot as plt
from astropy import units as u
from synphot import SpectralElement
from synphot.models import Box1D
bp = SpectralElement(Box1D, amplitude=1, x_0=600*u.nm, width=10*u.nm)
# Plot at user unit instead of internal unit
bp.plot(wavelengths=bp.waveset.to(u.nm), top=1.1, title='Box Bandpass')
plt.axvline(600, ls='--', color='k')