import matplotlib.pyplot as plt
from synphot import SourceSpectrum
from synphot.models import BlackBodyNorm1D
# Create a source at rest wavelength
sp_rest = SourceSpectrum(BlackBodyNorm1D, temperature=5000)
# Redshift the original source and conserve flux
sp_z1 = SourceSpectrum(sp_rest.model, z=0.1, z_type='conserve_flux')
# Plot them
wave = range(2500, 25000, 10)
plt.plot(wave, sp_rest(wave), 'b--', wave, sp_z1(wave), 'r')
plt.xlim(2500, 25000)
plt.xlabel('Wavelength (Angstrom)')
plt.ylabel('Flux (PHOTLAM)')
plt.legend(['z=0', 'z=0.1'], loc='upper right')