import matplotlib.pyplot as plt
import numpy as np
from synphot import etau_madau
w_rest = np.arange(800, 1400)
lc = ['k', 'navy', 'b', 'deepskyblue', 'mediumseagreen',
      'lightgreen', 'y', 'orange', 'r']
for z in range(0, 9):
    wave = w_rest * (1 + z)
    extcurve = etau_madau(wave, z)
    plt.plot(w_rest, extcurve(wave), color=lc[z], label='z={}'.format(z))
plt.ylim(0, 1.1)
plt.xlabel('Rest-Frame Wavelength (Angstrom)')
plt.ylabel('Lyman-alpha Forest "Throughput"')
plt.legend(loc='center right')
plt.grid()