import matplotlib.pyplot as plt
from astropy import units as u
from synphot import SourceSpectrum
from synphot.models import ConstFlux1D
sp = SourceSpectrum(ConstFlux1D, amplitude=18*u.ABmag)
wave = range(10, 26000, 10)
plt.plot(wave, sp(wave, flux_unit=u.ABmag), 'b',
         wave, sp(wave, flux_unit=u.STmag), 'r--')
plt.xlim(10, 26000)
plt.ylim(12, 22)
plt.ylabel('Flux (mag)')
plt.xlabel('Wavelength (Angstrom)')
plt.title('Flat spectrum in ABMAG')
plt.legend(['ABMAG', 'STMAG'], loc='lower right')