import matplotlib.pyplot as plt
from astropy import units as u
from synphot import SourceSpectrum
from synphot.models import PowerLawFlux1D
sp = SourceSpectrum(PowerLawFlux1D, amplitude=1, x_0=1*u.micron, alpha=2)
wave = range(100, 100000, 50) * u.AA
sp.plot(wavelengths=wave, xlog=True, ylog=True, bottom=0.1, top=1000)
plt.axvline(sp.model.x_0.value, color='k', ls='--')  # Ref wave
plt.axhline(sp.model.amplitude.value, color='k', ls='--')  # Ref flux